import Vue from 'vue'
import Router from 'vue-router'

import HelloWorld from '@/components/HelloWorld'
import Login from '@/components/Login'
import Notes from '@/components/Notes'
import HelpPage from '@/components/HelpPage'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'HelloWorld',
      meta: {title:'Home'},
      component: HelloWorld
    },
    {
      path: '/login',
      name: 'Login',
      meta: {title:'Login'},
      component: Login
    },
    {
      path: '/notes',
      name: 'Notes',
      meta: {title:'Notes'},
      component: Notes
    },
    {
      path: '/help',
      name: 'Help',
      meta: {title:'Help'},
      component: HelpPage
    },
  ]
})
